#ifndef INCLUDED_snow_types_FileEvents
#define INCLUDED_snow_types_FileEvents

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,FileEventType)
HX_DECLARE_CLASS2(snow,types,FileEvents)
namespace snow{
namespace types{


class HXCPP_CLASS_ATTRIBUTES  FileEvents_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef FileEvents_obj OBJ_;
		FileEvents_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< FileEvents_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~FileEvents_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("FileEvents"); }

		static int fe_unknown;
		static int fe_modify;
		static int fe_remove;
		static int fe_create;
		static int fe_drop;
		static ::snow::types::FileEventType typed( int type);
		static Dynamic typed_dyn();

};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_FileEvents */ 
